# Security Policy

## Supported Versions

Use this section to tell people about which versions of your project are currently being supported with security updates.

| Version | Supported          |
| ------- | ------------------ |
| 1.1.4   | :white_check_mark: |
| 1.1.3   | :white_check_mark: |
| 1.1.2   | :white_check_mark: |
| 1.1.1   | :white_check_mark: |
| 1.1.0   | :white_check_mark: |
| 1.0.0   | :white_check_mark: |
| 0.0.1   | :x:                |
| 0.0.1a0   | :x:                |
| 0.0.1.dev4   | :x:                |
| 0.0.1.dev3   | :x:                |
| 0.0.1.dev2   | :x:                |
| 0.0.1.dev1   | :x:                |
| 0.0.1.dev0   | :x:                |

## Reporting a Vulnerability

Use this section to tell people how to report a vulnerability.

Tell them where to go, how often they can expect to get an update on a
reported vulnerability, what to expect if the vulnerability is accepted or
declined, etc.

To report a vulnerability, please send an email to [isakruas@gmail.com](mailto:isakruas@gmail.com) with the following details:

- **Subject:** Security Vulnerability Report
- **Description:** Provide a detailed description of the vulnerability, including any relevant information about its impact and potential exploitation.
- **Steps to Reproduce:** If possible, include step-by-step instructions to reproduce the vulnerability.
- **Affected Versions:** Specify which versions of the project are affected by the vulnerability.
- **Proof of Concept:** If applicable, include any proof of concept or demonstration code to illustrate the vulnerability.

Upon receiving your report, we will acknowledge its receipt within 48 hours. Our team will then investigate the reported vulnerability and provide an initial assessment within 7 days. We will keep you informed of our progress and any updates throughout the process.

If the reported vulnerability is confirmed, we will work diligently to develop and release a security patch. Once the patch is ready, we will notify you and coordinate the disclosure of the vulnerability details.

We kindly request that you refrain from disclosing the vulnerability publicly until we have had sufficient time to address it. We aim to provide timely updates and transparent communication throughout the resolution process.

Thank you for helping us maintain the security of our project.
